package com.hiramine.mychatapplication;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

public class ChatClientActivity extends AppCompatActivity
{
	// 定数
	public static final String EXTRA_NICKNAME = "NICKNAME";

	// メンバー変数
	private String m_strNickname = "";

	@Override
	protected void onCreate( Bundle savedInstanceState )
	{
		super.onCreate( savedInstanceState );
		setContentView( R.layout.activity_chat_client );

		// 呼び出し元からパラメータ取得
		Bundle extras = getIntent().getExtras();
		if( null != extras )
		{
			m_strNickname = extras.getString( EXTRA_NICKNAME );
		}

		// ニックネームの表示
		TextView textviewNickname = (TextView)findViewById( R.id.textview_nickname );
		textviewNickname.setText( "Nickname : " + m_strNickname );
	}
}
